# rise

### `registerModule(name, description): Module`

<table><thead><tr><th width="144">Argument</th><th width="102">Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td><code>String</code></td><td>Name of the module.</td></tr><tr><td>description</td><td><code>String</code></td><td>Description of the module.</td></tr></tbody></table>

Returns and registers a new Module with custom name and description.

### `setName(name): Undefined`

<table><thead><tr><th width="144">Argument</th><th width="102">Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td><code>String</code></td><td>New name of the client.</td></tr></tbody></table>

Renames the client to the new `name`.

### `getModules(): Module[]`

Returns an array of every module.

### `getModule(name): Module`

| Argument | Type     | Description             |
| -------- | -------- | ----------------------- |
| name     | `String` | The name of the module. |

Returns a module by name.

### `registerCommand(name, description): Command`

| Argument    | Type     | Description                 |
| ----------- | -------- | --------------------------- |
| name        | `String` | Name of the command         |
| description | `String` | Description of the command. |

Returns and registers a new Command with custom name and description.

### `getCommands(): Command[]`

Returns an array of every command.

### `getCommand(String name): Command`

| Argument | Type     | Description              |
| -------- | -------- | ------------------------ |
| name     | `String` | The name of the command. |

Returns a command by name.

### `displayChat(String message): Undefined`

| Argument | Type     | Description         |
| -------- | -------- | ------------------- |
| message  | `String` | Message to display. |

Displays a message in chat.

### `getRiseName(): String`

Returns the client name.

### `getRiseVersion(): String`

Returns the client version.

### `getSystemMillis(): Number`

Returns `System.currentTimeMillis()`.

### `newVec2(x, y): Vector2`

<table><thead><tr><th>Argument</th><th>Type</th><th width="181">Description</th></tr></thead><tbody><tr><td>x</td><td>Number</td><td>X position</td></tr><tr><td>y</td><td>Number</td><td>Y position</td></tr></tbody></table>

Returns a new Vector2 with X and Y as points.

### `newVec3(x, y, z): Vector3`

<table><thead><tr><th>Argument</th><th>Type</th><th width="181">Description</th></tr></thead><tbody><tr><td>x</td><td>Number</td><td>X position</td></tr><tr><td>y</td><td>Number</td><td>Y position</td></tr><tr><td>z</td><td>Number</td><td>Z position</td></tr></tbody></table>

Returns a new Vector3 with X, Y, Z as points.

### `displayInfoNotification(title, message, time?): Undefined`

<table><thead><tr><th width="153">Argument</th><th width="192">Type</th><th width="396">Description</th></tr></thead><tbody><tr><td>title</td><td>String</td><td>Title of the notification.</td></tr><tr><td>message</td><td>String</td><td>Body/message of the notification.</td></tr><tr><td>time</td><td>Number | undefined</td><td>The amount of time to diplsay the notification for. <strong>This parameter is optional.</strong></td></tr></tbody></table>

Displays a new Information notification.

### `pingspoof(delay, normal?, teleport?, velocity?, entity?): Undefined`

| Argument | Type                 | Description                                                 |
| -------- | -------------------- | ----------------------------------------------------------- |
| delay    | Number               | The ping delay to use/spoof.                                |
| normal   | Boolean \| undefined | The ping spoof type to use. **This parameter is optional.** |
| teleport | Boolean \| undefined | The ping spoof type to use. **This parameter is optional.** |
| velocity | Boolean \| undefined | The ping spoof type to use. **This parameter is optional.** |
| entity   | Boolean \| undefined | The ping spoof type to use. **This parameter is optional.** |

Spoofs the ping. The default mode is `normal`.

### `blink(): Undefined`

Blinks the player.

### `dispatch(): Undefined`

Sends all delayed/blinked packets.

### `pingspoof(Number amount): Undefined`

Delays packets for the amount (in ms).

### `getFPS(): Number`

Gets FPS.

### `getPing(): Number`

Gets ping to the current server.

### `isBot(Number entityID): Boolean`

Returns true if the entity is detected by the antibot.

### `isFriend(String entityName): Boolean`

Returns true if the entity is a friend.

### `getRotations(Vector3 positionToRotate): Number[]`

Returns an array with the first result being the yaw, and the second being the pitch

### `getRotations(Number entityID): Number[]`

Returns an array with the first result being the yaw, and the second being the pitch

### `threadPool(Function function): Undefined`

Runs a function on the shared Rise ThreadPool, may interfere with other parts of the client if the code you run on it is slow.

### `thread(Function function): Undefined`

Runs code on a new thread.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/rise.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
